org.codehaus.plexus.configuration.source

## Class ChainedConfigurationSource

- java.lang.Object
- - org.codehaus.plexus.configuration.source.ChainedConfigurationSource

All Implemented Interfaces:
  ConfigurationSource

    public class ChainedConfigurationSource
    extends java.lang.Object
    implements ConfigurationSource

A configuration source that delegates to any number of underlying configuration sources. If you are an application author and want to create a custom source of configuration for the components in your application then you would most likely want to create a chained configuration source where you can decide the order of processing, but still have the container perform its default behavior.

Author:
  Jason van Zyl

### Field Summary

### Fields inherited from interface org.codehaus.plexus.configuration.source.ConfigurationSource

`ROLE`

### Constructor Summary

Constructors
Constructor and Description
`ChainedConfigurationSource(java.util.List configurationSources)`

### Method Summary

All Methods Instance Methods Concrete Methods
`PlexusConfiguration` `getConfiguration(ComponentDescriptor componentDescriptor)`
`java.util.List` `getConfigurationSources()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ChainedConfigurationSource

    public ChainedConfigurationSource(java.util.List configurationSources)

### Method Detail

#### getConfiguration

    public PlexusConfiguration getConfiguration(ComponentDescriptor componentDescriptor)

Specified by:
  `getConfiguration` in interface `ConfigurationSource`

#### getConfigurationSources

    public java.util.List getConfigurationSources()